@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@500&family=Roboto:wght@500&display=swap");
*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}
:root {
    --primary-text-color: #183b56;
    --secondary-text-color: #577592;
    --accent-color: #2294ed;
    --accent-dark-color: #1d69a3;


}
body{
    font-family: "poppins", sans-serif;
    color: var(--primary-text-color);
}
p{
    font-family: "Roboto" , sans-serif;
    color: var(--secondary-text-color);
    line-height: 1.4rem;
}
a{
    text-decoration: none;
}
ul{
    list-style: none;
}
.flex{
    display: flex;
    align-items: center;
}
.container{
    max-width: 1180px;
    margin-inline: auto;
    overflow: hidden;
}
nav{
    background: #f3faff;
    box-shadow: 0 0 4px #bbd0e2;
    position: flex;
    top: 0;
    z-index:99;
    left: 0;
    right: 0;
}
.main-nav{
    justify-content: space-between;
    padding: 8px;
}
.company-logo img{
   width: 120px; 
}
#nav-links ul {
    gap: 16px;
}
.hover-link{
    cursor: pointer;
}
.hover-link:hover{
    color: var(--secondary-text-color);
}
.hover-link:active{
    color: red;
}
.search-bar{
    height: 32px;
    gap: 8px;
}
.news-input{
    font-family: "Roboto" , sans-serif;
    width: 200px;
    height: 100%;
    padding-inline: 12px;
    border-radius: 4px;
    border: 2px solid #3b91cc;
}
.search-button{
    font-family: "Roboto" , sans-serif;
    background: var(--accent-color);
    color: white;
    padding: 8px 24px;
    border: none;
    cursor: pointer;
    border-radius: 4px;
}
.search-button:hover{
    background: var(--accent-dark-color);
}
main{
    padding: 20px;
    margin-top: 80px;
}
.cards-container{
    justify-content: space-between;
    flex-wrap: wrap;
    row-gap: 20px;
    align-items: start;
}
.card{
    width: 360px;
    min-height: 400px;
    box-shadow: 0 0 4px #d4ecff;
    border-radius: 4px;
    cursor: pointer;
    background: #fff;
    overflow: hidden;
    transition:all 0.3 ease ;
}
.card:hover{
    box-shadow: 1px 1px 8px #d4ecff;
    background-color: #f9fdff;
    transform: translateY(-2px);

}
.card-header img{
    width: 100%;
    height: 180px;
    object-fit: cover;
}
.card-content{
    padding: 12px;
}
.news-source{
    padding-block: 12px;
}

.nav-item.active{
    color: var(--accent-color);
}